use warnings;
use strict;
use Test::More tests => 5;

use POWER::Utils::IO;

my $PORT    = 42538;
my $IP      = '127.0.0.1';

my $clients = 0;

my $listen  = tcp_server($IP, $PORT);

Accept($listen, sub { $clients++ });
is($clients, 0, 'no clients yet');

my $client1 = tcp_client($IP, $PORT);
my $client2 = tcp_client($IP, $PORT);

Accept($listen, sub { 
    my ($sock, $ip, $port) = @_;
    is($ip, $IP, 'client IP correct');
    $clients++;
});
is($clients, 2, 'both clients connected');

Accept($listen, sub { $clients++ });
is($clients, 2, 'no more clients');

